﻿B4A=true
Group=Default Group
ModulesStructureVersion=1
Type=StaticCode
Version=9.3
@EndOfDesignText@
'Code module
'Subs in this code module will be accessible from all modules.
Sub Process_Globals
    Public  IsInitialized    As Boolean = False

    Private mAlertBeeper     As Beeper
	
	Private mAnnouncement    As MediaPlayer
	
	Private	mCSBuilder	 	 As CSBuilder			
	
	Private	mCSFontSize		 As Int 	= 16
	Private	mCSFontSizeTitle As Int 	= 20
	
End Sub

#Region Initialize
Public Sub Initialize
		    IsInitialized = True

    		mAlertBeeper.Initialize2(500, 500, mAlertBeeper.VOLUME_NOTIFICATION)

		    mAnnouncement.Initialize
End Sub
#End Region

Public  Sub AnnouncementSoundPlay  
		    mAnnouncement.Load(File.DirAssets, "announcement.mp3")
	
			mAnnouncement.Position = 0  
			mAnnouncement.Play  
End Sub

Public  Sub AnnouncementSoundPlayLoop
		    mAnnouncement.Load(File.DirAssets, "announcement.mp3")
	
			mAnnouncement.Position = 0  
			mAnnouncement.Looping = True			
			mAnnouncement.Play
End Sub

Public  Sub AnnouncementSoundPlayStop	
			mAnnouncement.Stop
			mAnnouncement.Position = 0  
			mAnnouncement.Looping = False
End Sub

#Region MsgBoxWithReply
Public  Sub MsgBoxWithReply(Msg As String, Title As String, LeftButton As String, CenterButton As String, RightButton As String, BitmapICON As Bitmap, Alert As Boolean) As Int
#if __UseB4X__x
			Dim	xDialog 	As B4XDialog

			Dim	xBase		As B4XView
			
 			Dim xReflector	As Reflector
  			Dim xInput 		As B4XInputTemplate			
			
   			xReflector.Target = xReflector.GetActivityBA
   			
			xBase			  = xReflector.GetField("vg")   			
		
			xDialog.Initialize(xBase)
			
			xInput.Initialize
			xInput.lblTitle		= "Msg Title"
			xInput.Text			= "This is Text"
			
			xDialog.ShowTemplate(xInput, "OK", "", "")			
#else	
#End If

    		Dim MyMsg        As Msgbox3
    		Dim Result       As Int				= 0
			
'			Dim MyDialog 	 As CustomDialog2



			Dim PassedBitmap As Object


			If 	BitmapICON.IsInitialized Then 
			   	PassedBitmap = BitmapICON
			Else
			   	PassedBitmap = Null
			End If

			If 	Alert Then 
				mAlertBeeper.Beep
			End If

'			Result = MyDialog.Show((Msg, Title, RightButton, CenterButton, LeftButton, PassedBitmap)

    		Result = MyMsg.Show(mCSBuilder.Initialize.Size(mCSFontSize).Append(Msg).PopAll, mCSBuilder.Initialize.Size(mCSFontSizeTitle).Append(Title).PopAll, RightButton, CenterButton, LeftButton, PassedBitmap)


			If Result = -2 Then Return -1
			If Result = -3 Then Return  0
			If Result = -1 Then Return  1
			
			Return -2
End Sub
#End Region

#Region LoadThisBitmap / Load ThisBitmapDrawable
Public Sub  CreateScaledBitmap(Original As Bitmap, Width As Int, Height As Int, Filter As Boolean, ScaleUp As Boolean) As Bitmap
            Dim lv As LayoutValues = GetDeviceLayoutValues
	
  			Dim jo As JavaObject
			
  			jo.InitializeStatic("android.graphics.Bitmap")
			
			If  ScaleUp Then
				Width  = Width  * lv.Scale
				Height = Height * lv.Scale
			Else
				Width  = Width  / lv.Scale
				Height = Height / lv.Scale
			End If				
			
  			Return jo.RunMethod("createScaledBitmap", Array(Original, Width, Height, Filter))
End Sub


Public  Sub LoadThisBitmapScaled(BitmapName As String) As Bitmap

    		Dim LoadedBitmap As Bitmap

    		LoadedBitmap = LoadBitmap(File.DirAssets, BitmapName)
			LoadedBitmap = CreateScaledBitmap(LoadedBitmap, LoadedBitmap.Width, LoadedBitmap.Height, True, True)		

	#If DebugX
    		Log(BitmapName &": " &LoadedBitmap.Width &" " &LoadedBitmap.Height)
	#End If
	
    		Return LoadedBitmap
End Sub

Public  Sub LoadThisBitmap(BitmapName As String) As Bitmap

    		Dim LoadedBitmap As Bitmap

    		LoadedBitmap = LoadBitmap(File.DirAssets, BitmapName)

	#If DebugX
    		Log(BitmapName &": " &LoadedBitmap.Width &" " &LoadedBitmap.Height)
	#End If
	
    		Return LoadedBitmap
End Sub

Public  Sub LoadThisBitmapDrawable(BitmapName As String) As BitmapDrawable

    		Dim LoadedBitmapDrawable  As BitmapDrawable

    		LoadedBitmapDrawable.Initialize(LoadThisBitmap(BitmapName))

    		Return LoadedBitmapDrawable
End Sub



